package lpv.gui.card;


public enum InjectorType {
	wallInjectorLeft("Left wall", LeftWallInjectorCard.class), 
	wallInjectorRight("Right wall", RightWallInjectorCard.class),
	centerInjector("Centered blob", CenterInjectorCard.class),
	singlePixelInjector("Single pixel", SinglePixelInjectorCard.class),
	fileInjector("File", FileInjectorCard.class)
	;
	
	public final String name;
	public final Class<? extends InjectorCard> cardClass;

	private InjectorType(String name, Class<? extends InjectorCard> cardClass) {
		this.name = name;
		this.cardClass = cardClass;
	}
	
}
